package de.intevation.artifactdatabase.state;

import java.util.List;


/**
 * @author <a href="mailto:ingo.weinzierl@intevation.de">Ingo Weinzierl</a>
 */
public interface Output {

    /**
     * Retrieve the name of this output mode.
     *
     * @return the name of this output mode.
     */
    public String getName();

    /**
     * Retrieve the description of an output.
     *
     * @return the description.
     */
    public String getDescription();

    /**
     * Retrieve the mimetype used for the output.
     *
     * @return the mimetype.
     */
    public String getMimeType();

    /**
     * Retrieve the facets of this output.
     *
     * @return the facets of this output.
     */
    public List<Facet> getFacets();
}
// vim:set ts=4 sw=4 si et sta sts=4 fenc=utf-8 :
